MediaWiki:Gadget-Mainpage.css

From Honkai: Nexus Anima Wiki
Revision as of 16:08, 14 July 2026 by Kuhlau (talk | contribs) (Created page with "Mainpage Styles: .mainpage-border { background: var(--theme-color-5); border: 2px solid var(--theme-accent-color); border-radius: 3px; margin-top: 10px; margin-bottom: 10px; text-align: center; } .mainpage-border:has(div.Mainpage-header) { padding: 2px; } .mainpage-header { background: var(--theme-accent-color); border-radius: 2px; color: #000000; font-weight: bold; font-size: 1.4em; padding: 1px; margin-bottom: 10px; } .mainpage-header-link { c...")
(diff) ← Older revision | Latest revision (diff) | Newer revision → (diff)
Jump to navigation Jump to search

Note: After publishing, you may have to bypass your browser's cache to see the changes.

  • Firefox / Safari: Hold Shift while clicking Reload, or press either Ctrl-F5 or Ctrl-R (⌘-R on a Mac)
  • Google Chrome: Press Ctrl-Shift-R (⌘-Shift-R on a Mac)
  • Edge: Hold Ctrl while clicking Refresh, or press Ctrl-F5.
/* Mainpage Styles */
.mainpage-border {
	background: var(--theme-color-5);
	border: 2px solid var(--theme-accent-color);
	border-radius: 3px;
	margin-top: 10px;
	margin-bottom: 10px;
	text-align: center;
}

.mainpage-border:has(div.Mainpage-header) {
	padding: 2px;
}

.mainpage-header {
	background: var(--theme-accent-color);
	border-radius: 2px;
	color: #000000;
    font-weight: bold;
	font-size: 1.4em;
	padding: 1px;
	margin-bottom: 10px;
}

.mainpage-header-link {
	color: var(--theme-page-text-color);
}
.page__main {
	padding: 23px 15px 15px 30px;
}
.mainpage .page__main {
	padding-right: 30px;
}
.page {
	 border-left: 1px solid var(--theme-color-4);
	 border-right: 1px solid var(--theme-color-4);
	 border-bottom: 1px solid var(--theme-color-4);
	 border-radius: 3px;
}
.wgl-lightmode .page {
	border-top: 5px solid var(--theme-color-1);
}
.wgl-darkmode .page {
	border-top: 5px solid var(--theme-accent-color);
}

/* Background Image for Mainpage */
/** Light Mode **/
.wgl-lightmode .bgimg {
	color: var(--theme-page-text-color);
	text-shadow: 0px 2px 2px #ffffff80;
	background-size: cover;
	background-image: linear-gradient(rgba(249, 245, 242, 0.8),
					  rgba(249, 245, 242, 0.6)), url("filepath://Site-background-light.jpeg");
}
/** Dark Mode **/
.wgl-darkmode .bgimg {
	color: var(--theme-page-text-color);
	text-shadow: 0px 2px 2px #00000080;
	background-size: cover;
	background-image: url("filepath://Site-background-dark")
}